package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author yansen
 * @since 2020-12-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaMpTemplate对象", description="")
public class TaMpTemplate implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "序号")
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    private Integer orgId;

    @ApiModelProperty(value = "公众号appid")
    private String appid;

    @ApiModelProperty(value = "模板分类代码")
    private String typeCode;

    @ApiModelProperty(value = "模板分类名称")
    private String typeName;

    @ApiModelProperty(value = "消息模板id")
    private String templateCode;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @TableField(exist = false)
    private String evtName;
    @TableField(exist = false)
    private String evtDate;
    @TableField(exist = false)
    private Boolean isSolar;
    @TableField(exist = false)
    private String wishes;
}
