package com.huiju.estateagents.mapper;

import com.huiju.estateagents.entity.TaMpTemplate;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2020-12-23
 */
@Mapper
public interface TaMpTemplateMapper extends BaseMapper<TaMpTemplate> {

    List<TaMpTemplate> getAvailableList(@Param("orgId") Integer orgId,@Param("typeCode") String typeCode);

    TaMpTemplate getByCode(Integer orgId, String typeCode);
}
