package com.huiju.estateagents.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huiju.estateagents.common.CommConstant;
import com.huiju.estateagents.entity.TaMpTemplate;
import com.huiju.estateagents.mapper.TaMpTemplateMapper;
import com.huiju.estateagents.service.ITaMpTemplateService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-12-23
 */
@Service
public class TaMpTemplateServiceImpl extends ServiceImpl<TaMpTemplateMapper, TaMpTemplate> implements ITaMpTemplateService {

    @Autowired
    TaMpTemplateMapper taMpTemplateMapper;

    @Override
    public List<TaMpTemplate> getAvailableList(Integer orgId, String typeCode) {
        return taMpTemplateMapper.getAvailableList(orgId, typeCode);
    }

    @Override
    public TaMpTemplate getByCode(Integer orgId, String typeCode) {
        return taMpTemplateMapper.getByCode(orgId, typeCode);
    }
}
