package com.huiju.estateagents.property.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author yansen
 * @since 2021-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TpMessageBoard留言回复", description="")
public class TpMessageReply implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "reply_id", type = IdType.AUTO)
    private Integer replyId;

    @ApiModelProperty(value = "留言ID")
    private Integer msgId;

    @ApiModelProperty(value = "留言内容")
    private String content;

    @ApiModelProperty(value = "内容类型")
    private String contentType;

    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ApiModelProperty(value = "回复人员ID")
    private Integer userId;

    @ApiModelProperty(value = "留言时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "机构ID")
    private Integer orgId;
}
