package com.huiju.estateagents.property.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.property.entity.TpMessageBoard;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-01-19
 */
@Mapper
public interface TpMessageBoardMapper extends BaseMapper<TpMessageBoard> {

    IPage<TpMessageBoard> getPagedBy(IPage<TpMessageBoard> page, @Param("params") Map<String, Object> params);

    IPage<TpMessageBoard> getByMsgId(IPage<TpMessageBoard> page, Integer orgId, Integer id);

    TpMessageBoard getByPersonId(Integer orgId, String personId);

    IPage<TpMessageBoard> getWxList(IPage<TpMessageBoard> page, Integer orgId, String personId);
}
